Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Interface DomUpdateSupport

All Known Implementing Classes:
  AbstractEchoPointContainerPeer, AbstractEchoPointPeer, BalloonHelpPeer, ButtonExPeer, ButtonPeer, CalculatorPeer, ChartDisplayPeer, ColumnPeer, ComboBoxPeer, ContainerExPeer, ContentPanePeer, DateChooserPeer, ExpandableSectionPeer, GridPeer, GroupBoxPeer, ImageIconPeer, ImageMapPeer, InvisiblePeer, KeyStrokeListenerPeer, LabelExPeer, LabelPeer, ListSectionPeer, LiveTablePeer, MenuItemPeer, MenuPeer, PopUpPeer, ProgressBarPeer, PushButtonPeer, RichTextAreaPeer, RowPeer, SeparatorPeer, SliderPeer, StrutPeer, TabbedPanePeer, TablePeer, TemplatePanelPeer, TextAreaPeer, TextComponentPeer, TextFieldPeer, TitleBarPeer, TreePeer, TreeTableCellPeer, UploadSelectPeer

    public interface DomUpdateSupport

An optional interface which may be implemented by `ComponentSynchronizePeer`s that support rendering directly to HTML.

Method Summary
`void` | `renderHtml(RenderContext rc, ServerComponentUpdate update, org.w3c.dom.Node parentNode, Component component)` Renders the component in its entirety as a child of the provided parent `Element`.

Method Detail

### renderHtml

    void renderHtml(RenderContext rc,
                    ServerComponentUpdate update,
                    org.w3c.dom.Node parentNode,
                    Component component)

  Renders the component in its entirety as a child of the provided parent `Element`. The implementation should additionally render any child components, either by invoking their `renderHtml()` methods if their peers also implement `DomUpdateSupport` or by invoking their `ComponentSynchronizePeer.renderAdd()` methods if they do not.

  The implementation must also perform any non-HTML-rendering operations which are performed in the `ComponentSynchronizePeer.renderAdd()` method, e.g., adding message parts that registering event listeners on the client.

  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the `ServerComponentUpdate` for which this rendering is being performed
    `parentNode` - the parent DOM node to which this child should add HTML code
    `component` - the `Component` to be rendered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD